Package com.dropbox.core.v2.sharing
Class ListMountableFoldersBuilder
java.lang.Object
com.dropbox.core.v2.sharing.ListMountableFoldersBuilder
The request builder returned by
DbxUserSharingRequests.listMountableFoldersBuilder().
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withActions(List<FolderAction> actions) Set value for optional field.Set value for optional field.
-
Method Details
-
withLimit
Set value for optional field.If left unset or set to
null, defaults to1000L.- Parameters:
limit- The maximum number of results to return per request. Must be greater than or equal to 1 and be less than or equal to 1000. Defaults to1000Lwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withActions
Set value for optional field.- Parameters:
actions- A list of `FolderAction`s corresponding to `FolderPermission`s that should appear in the response'sSharedFolderMetadata.getPermissions()field describing the actions the authenticated user can perform on the folder. Must not contain anullitem.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
start
Issues the request.- Throws:
DbxApiExceptionDbxException
-